Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Interface DefaultInformationControl.IInformationPresenter

Enclosing interface:
  DefaultInformationControl

public static interface DefaultInformationControl.IInformationPresenter

An information presenter determines the style presentation of information displayed in the default information control. The interface can be implemented by clients.

Method Summary
`String` | `updatePresentation(Display display, String hoverInfo, TextPresentation presentation, int maxWidth, int maxHeight)` Updates the given presentation of the given information and thereby may manipulate the information to be displayed.

Method Detail

### updatePresentation

    public String updatePresentation(Display display,
                                     String hoverInfo,
                                     TextPresentation presentation,
                                     int maxWidth,
                                     int maxHeight)

  Updates the given presentation of the given information and thereby may manipulate the information to be displayed. The manipulation could be the extraction of textual encoded style information etc. Returns the manipulated information.

  Parameters:
    `display` - the display of the information control
    `hoverInfo` - the information to be presented
    `presentation` - the presentation to be updated
    `maxWidth` - the maximal width in pixels
    `maxHeight` - the maximal height in pixels
  Returns:
    the manipulated information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.